<style type="text/css" media="screen">
<?php 
	$menu_color = of_get_option('menu_color'); 
	$highlight_color = of_get_option('highlight_color'); 
	$link_color = of_get_option('link_color'); 
	$link_hover_color = of_get_option('link_hover_color'); 
?>

#navigation .menu .current_page_item a, #navigation .menu .current_page_ancestor a, #navigation .menu .current-menu-item a,
#navigation .menu .current-cat a, #navigation .menu li .current_page_item a, #navigation .menu li .current_page_item a:hover,
#navigation .menu li .current-menu-item a, #navigation .menu li .current-menu-item a:hover, #navigation .menu li .current-cat a, 
#navigation .menu li .current-cat a:hover, #navigation .menu a:focus, #navigation .menu a:hover, #navigation .menu a:active {
<?php 
	if ($menu_color) {
	    echo 'background-color: ' .$menu_color. ';';
    }; 
?>
}

.more-link:hover, .reply a:hover, #searchsubmit:hover, #prevLink a:hover, #nextLink a:hover, 
#submit:hover, #comments #respond input#submit:hover, .flex-direction-nav .flex-prev:hover,
.flex-direction-nav .flex-next:hover, .gallery img:hover, #content .gform_wrapper input.button:hover {
<?php 
	if ($highlight_color) {
	    echo 'background-color: ' .$highlight_color. ';';
	    echo 'border-color: ' .$highlight_color. ';';
    }; 
?>
}

a, a:link, a:visited, .sidebar ul.menu li a, .sidebar ul.menu li a:link, .sidebar ul.menu li ul.sub-menu li a {
<?php 
	if ($link_color) {
	    echo 'color: ' .$link_color. ';';
    }; 
?>
}

.sidebar ul.menu li a:hover, .sidebar ul.menu li a:active, .sidebar ul.menu li a:focus {
<?php 
	if ($link_color) {
	    echo 'color: ' .$link_color. '!important;';
    }; 
?>
}

a:hover, a:focus, a:active, h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover,
.menu li li a:focus, .menu li li a:hover, .menu li li a:active {
<?php 
	if ($link_hover_color) {
	    echo 'color: ' .$link_hover_color. ';';
    }; 
?>
}

.sidebar ul.menu li a:hover, .sidebar ul.menu li a:active, .sidebar ul.menu li a:focus,
.sidebar ul.menu .current_page_item a, .sidebar ul.menu .current-menu-item a {
<?php 
	if ($link_hover_color) {
	    echo 'color: ' .$link_hover_color. ' !important;';
    }; 
?>
}
</style>